'use strict';

module.exports.match = function (pattern, servername) {
  // Everything matches '*'
  if (pattern === '*') {
    return true;
  }

  if (/^\*./.test(pattern)) {
    // get rid of the leading "*." to more easily check the servername against it
    pattern = pattern.slice(2);
    return pattern === servername.slice(-pattern.length);
  }

  // pattern doesn't contains any wildcards, so exact match is required
  return pattern === servername;
};
